Get Instrument Fundamentals
GET/v1/instruments/{instrument_id}/fundamentals
Retrieves supplemental fundamentals and company profile data for an instrument.
Get Instrument Fundamentals
curl https://api.clearstreet.com/v1/instruments/$INSTRUMENT_ID/fundamentals \
-H "Authorization: Bearer $API_KEY"{
"data": {
"average_volume": 76000000,
"beta": "1.20",
"description": "Apple Inc. designs, manufactures, and markets smartphones, personal computers, tablets, wearables, and accessories worldwide.",
"dividend_yield": "0.005",
"earnings_per_share": "5.61",
"fifty_two_week_high": "230.00",
"fifty_two_week_low": "165.00",
"industry": "Consumer Electronics",
"list_date": "1980-12-12",
"logo_url": "https://example.com/logos/aapl.png",
"market_cap": "2800000000000",
"previous_close": "210.87",
"price_to_earnings": "30.5",
"reporting_currency": "USD",
"sector": "Technology"
},
"error": null,
"metadata": {
"request_id": "5b6c7d8e-9f0a-1b2c-3d4e-5f6a7b8c9d0e"
}
}Returns Examples
{
"data": {
"average_volume": 76000000,
"beta": "1.20",
"description": "Apple Inc. designs, manufactures, and markets smartphones, personal computers, tablets, wearables, and accessories worldwide.",
"dividend_yield": "0.005",
"earnings_per_share": "5.61",
"fifty_two_week_high": "230.00",
"fifty_two_week_low": "165.00",
"industry": "Consumer Electronics",
"list_date": "1980-12-12",
"logo_url": "https://example.com/logos/aapl.png",
"market_cap": "2800000000000",
"previous_close": "210.87",
"price_to_earnings": "30.5",
"reporting_currency": "USD",
"sector": "Technology"
},
"error": null,
"metadata": {
"request_id": "5b6c7d8e-9f0a-1b2c-3d4e-5f6a7b8c9d0e"
}
}